Subject: bug#46358: 28.0.50; [PATCH] Add vc-dir faces; also apply them to vc-git

From: Protesilaos Stavrou <[email-masked]>
Date: Wed, 10 Feb 2021 06:06:28 +0200

On 2021-02-10, 03:48 +0200, Dmitry Gutov <[email-masked]> wrote:

> Hello!
>
> On 09.02.2021 19:46, Protesilaos Stavrou wrote:
>
>> I have prepared a new patch.
>> 1. Incorporate the feedback received thus far:
>>     + Do not apply special treatment to the Git stash header.  It now
>>       looks the same as all other headers.
>>     + Rename 'vc-dir-ignored' to 'vc-dir-status-ignored'.
>>     + Apply 'vc-dir-status-ignored' to gitignored files.
>> 2. Implement the new faces in all backends, while ensuring that every
>>     value documented for 'vc-state' is taken into account.
>
> Thanks!
>
> Looking good, I've applied and pushed this patch. Except for one thing:

I just realised that I forgot to update the NEWS entry.  Patch
attached.  Sorry about that!

-- 
Protesilaos Stavrou
protesilaos.com
>From 5314791cc3a85bf5786487f4740d30f20e941e01 Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Protesilaos Stavrou <[email-masked]>
Date: Wed, 10 Feb 2021 06:03:33 +0200
Subject: [PATCH] Update NEWS entry for vc-dir faces

* NEWS: Remove reference to specific backend, as it now applies to all
of them.  Update name of 'vc-dir-status-ignored'.

This follows from the discussion in bug#46358.
---
 etc/NEWS | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index bd209de18e..3cbf2a0fe7 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -602,10 +602,11 @@ This is used when expanding commit messages from 'vc-print-root-log'
 and similar commands.
 
 ---
-*** New faces for 'vc-dir' buffers and their Git VC backend.
+*** New faces for 'vc-dir' buffers.
 Those are: 'vc-dir-header', 'vc-dir-header-value', 'vc-dir-directory',
 'vc-dir-file', 'vc-dir-mark-indicator', 'vc-dir-status-warning',
-'vc-dir-status-edited', 'vc-dir-status-up-to-date', 'vc-dir-ignored'.
+'vc-dir-status-edited', 'vc-dir-status-up-to-date',
+'vc-dir-status-ignored'.
 
 ---
 *** The responsible VC backend is now the most specific one.
-- 
2.30.0